import commonLogic from '@/locale/logic/common/common-logic';

function getLocaleResourceBase(){
	const data:any = {
	fields: {
		enable: commonLogic.appcommonhandle("逻辑有效标志",null),
		updateman: commonLogic.appcommonhandle("更新人",null),
		createdate: commonLogic.appcommonhandle("建立时间",null),
		ibizordertypename: commonLogic.appcommonhandle("订单类型名称",null),
		updatedate: commonLogic.appcommonhandle("更新时间",null),
		createman: commonLogic.appcommonhandle("建立人",null),
		ibizordertypeid: commonLogic.appcommonhandle("订单类型标识",null),
	},
		views: {
			pickupview: {
				caption: commonLogic.appcommonhandle("订单类型",null),
				title: commonLogic.appcommonhandle("订单类型数据选择视图",null),
			},
			usr2gridview: {
				caption: commonLogic.appcommonhandle("订单类型",null),
				title: commonLogic.appcommonhandle("订单类型表格视图",null),
			},
			editview: {
				caption: commonLogic.appcommonhandle("订单类型",null),
				title: commonLogic.appcommonhandle("订单类型编辑视图",null),
			},
			usr2editview: {
				caption: commonLogic.appcommonhandle("订单类型",null),
				title: commonLogic.appcommonhandle("订单类型编辑视图",null),
			},
			pickupgridview: {
				caption: commonLogic.appcommonhandle("订单类型",null),
				title: commonLogic.appcommonhandle("订单类型选择表格视图",null),
			},
		},
		main_form: {
			details: {
				group1: commonLogic.appcommonhandle("订单类型基本信息",null), 
				formpage1: commonLogic.appcommonhandle("基本信息",null), 
				srfupdatedate: commonLogic.appcommonhandle("更新时间",null), 
				srforikey: commonLogic.appcommonhandle("",null), 
				srfkey: commonLogic.appcommonhandle("订单类型标识",null), 
				srfmajortext: commonLogic.appcommonhandle("订单类型名称",null), 
				srftempmode: commonLogic.appcommonhandle("",null), 
				srfuf: commonLogic.appcommonhandle("",null), 
				srfdeid: commonLogic.appcommonhandle("",null), 
				srfsourcekey: commonLogic.appcommonhandle("",null), 
				ibizordertypeid: commonLogic.appcommonhandle("订单类型标识",null), 
				ibizordertypename: commonLogic.appcommonhandle("订单类型名称",null), 
				enable: commonLogic.appcommonhandle("逻辑有效标志",null), 
			},
			uiactions: {
			},
		},
		main_grid: {
			columns: {
				ibizordertypeid: commonLogic.appcommonhandle("订单类型标识",null),
				ibizordertypename: commonLogic.appcommonhandle("订单类型名称",null),
				updateman: commonLogic.appcommonhandle("更新人",null),
				updatedate: commonLogic.appcommonhandle("更新时间",null),
			},
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			},
		},
		default_searchform: {
			details: {
				formpage1: commonLogic.appcommonhandle("",null), 
			},
			uiactions: {
			},
		},
		usr2gridviewtoolbar_toolbar: {
			tbitem3: {
				caption: commonLogic.appcommonhandle("新建",null),
				tip: commonLogic.appcommonhandle("新建",null),
			},
			deuiaction2: {
				caption: commonLogic.appcommonhandle("保存",null),
				tip: commonLogic.appcommonhandle("保存",null),
			},
			tbitem4: {
				caption: commonLogic.appcommonhandle("编辑",null),
				tip: commonLogic.appcommonhandle("编辑",null),
			},
			tbitem6: {
				caption: commonLogic.appcommonhandle("拷贝",null),
				tip: commonLogic.appcommonhandle("拷贝",null),
			},
			deuiaction3: {
				caption: commonLogic.appcommonhandle("过滤",null),
				tip: commonLogic.appcommonhandle("过滤",null),
			},
			tbitem7: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem8: {
				caption: commonLogic.appcommonhandle("删除",null),
				tip: commonLogic.appcommonhandle("删除",null),
			},
			tbitem9: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem13: {
				caption: commonLogic.appcommonhandle("导出",null),
				tip: commonLogic.appcommonhandle("导出",null),
			},
			deuiaction1: {
				caption: commonLogic.appcommonhandle("导入",null),
				tip: commonLogic.appcommonhandle("导入",null),
			},
			tbitem10: {
				caption: commonLogic.appcommonhandle("-",null),
				tip: commonLogic.appcommonhandle("",null),
			},
			tbitem16: {
				caption: commonLogic.appcommonhandle("其它",null),
				tip: commonLogic.appcommonhandle("其它",null),
			},
			tbitem21: {
				caption: commonLogic.appcommonhandle("导出数据模型",null),
				tip: commonLogic.appcommonhandle("导出数据模型",null),
			},
			tbitem23: {
				caption: commonLogic.appcommonhandle("数据导入",null),
				tip: commonLogic.appcommonhandle("数据导入",null),
			},
		},
		usr2editviewtoolbar_toolbar: {
			deuiaction1: {
				caption: commonLogic.appcommonhandle("新建",null),
				tip: commonLogic.appcommonhandle("新建",null),
			},
			tbitem3: {
				caption: commonLogic.appcommonhandle("保存",null),
				tip: commonLogic.appcommonhandle("保存",null),
			},
			tbitem5: {
				caption: commonLogic.appcommonhandle("保存并关闭",null),
				tip: commonLogic.appcommonhandle("保存并关闭",null),
			},
		},
		editviewtoolbar_toolbar: {
			deuiaction1: {
				caption: commonLogic.appcommonhandle("新建",null),
				tip: commonLogic.appcommonhandle("新建",null),
			},
			tbitem3: {
				caption: commonLogic.appcommonhandle("保存",null),
				tip: commonLogic.appcommonhandle("保存",null),
			},
			tbitem5: {
				caption: commonLogic.appcommonhandle("保存并关闭",null),
				tip: commonLogic.appcommonhandle("保存并关闭",null),
			},
		},
	};
	return data;
}
export default getLocaleResourceBase;